import {AbstractFirestoreDocumentRepository} from "./AbstractFirestoreDocumentRepository";
import {AbstractFirestoreDocument} from "./AbstractFirestoreDocument";

export abstract class AbstractFirestoreDocumentResolver<T extends AbstractFirestoreDocument> {

    protected constructor(private documentRepository: AbstractFirestoreDocumentRepository<T>) {
    }

    resolveById(id: string) {
        return this.documentRepository.getActiveDocumentById(id);
    }
}